%define module_name Astro-PAL
# BEGIN SourceDeps(oneline):
BuildRequires: libbsd-devel perl(ExtUtils/CBuilder.pm) perl(Getopt/Long.pm) perl(Module/Build.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Number/Delta.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.09
Release: alt3
Summary: Perl interface to Starlink PAL positional astronomy library
Group: Development/Perl
License: gpl
URL: http://github.com/timj/perl-Astro-PAL/tree/master

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GS/GSB/%{module_name}-%{version}.tar.gz

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release
BuildArch: noarch

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.09-alt3
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.09-alt2
- rebuild with perl 5.34.0

* Fri Feb 05 2021 Igor Vlasenko <viy@altlinux.ru> 1.09-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.08-alt2
- rebuild with perl 5.30

* Wed Jul 31 2019 Igor Vlasenko <viy@altlinux.ru> 1.08-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.07-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.07-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.07-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.07-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.07-alt2
- rebuild to get rid of unmets

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1
- regenerated from template by package builder

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1
- initial import by package builder

